format_version: '1.0'


repository_url: https://github.com/eclipse/mosquitto
issue_url: https://github.com/eclipse/mosquitto/issues/1585


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 3a89059
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 838ba0408e28eab53c4fa36146daea190073d2cf
    - input_file: 'b-partial-2.diff'
      commit_sha1: 1482ca2178d155883d9b9200aec2442b3f72dd35
    - input_file: 'b-partial-3.diff'
      commit_sha1: 56d0b950ac0dde4abd3707ec73688848b9c47a13

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: f766ae2b8219dba4b8615c0c6ddbc2b0a298c058

options:
  language: C
